# Packmangroup: Multimedia
# Packmanpackagename: lve
# Packman: Manfred Tremmel
# Packmandepends: libffmpeg0

Summary: Linux Video Editor
Summary(de): Linux Video Editor
Name:         lve
Version:      0.040322
Release:      0.pm.1
License: GPL
Group: Applications/Multimedia
URL: http://lvempeg.sourceforge.net/

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:       suse


Source0:        lve-040322.src.tar.bz2
Source1:        ffmpeg-0.4.9-pre1.tar.bz2

BuildRoot: 	%{_tmppath}/buildroot-%{name}-%{version}

BuildRequires: libffmpeg0-devel, mpeg2dec, SDL-devel, gcc-c++, qt3-devel
BuildRequires: XFree86-devel, a52dec

Requires:	glibc >= 2.3.3
Requires:	libffmpeg0 >= 0.4.9
Requires:	libgcc >= 3.3.4
Requires:	libstdc++ >= 3.3.4
Requires:	qt3 >= 3.3.3
Requires:	SDL >= 1.2.7

%description
LVE provides frame and GOP accurate editing of MPEG1/2 elementary ("ES") and
program streams ("PS"), including VOB format. The cutting engine is based on
a frame server (demuxer), which guarantees exact and fast seeking to every
frame. The GUI is based on libSDL. Video scenes are handled as thumbnails
movable by drag and drop. Final videos can be build with or without
re-encoding. Tools for shrinking and DVD authoring are also available. 

%description -l de
LVE ist ein Frame und GOP genauer Editor fuer MPEG1/2 ES und PS Stroeme.

%prep
%setup -qn lve
chmod -R +w *

%build
# fix permissions of devel dir
sed -i "s/liba52\//a52dec\//g;" src/*
%{__tar} -xjf %{SOURCE1}
%{__rm} ffmpeg
ln -s ffmpeg-0.4.9-pre1 ffmpeg
# a ffmpeg with --enabel-a52 is required!

sed -i "s/\/usr\/local\/lve\/bin\/lverequant/\/usr\/bin\/lverequant/g;" src/lvedump.c
sed -i "s/\/usr\/local\/lve\/lib/\/usr\/share\/lve\/lib/g;" src/lve.h
sed -i "s/\/usr\/local\/lve\/bin/\/usr\/bin/g;" src/lve.h
%__make all-recursive INCLUDE="-I../ffmpeg/libavcodec -I/usr/include/mpeg2dec" QT_DIR=${QTDIR} SUBDIRS="qdir src" 
cd src
gcc -shared -o liblve.so frame_srv.o decoder.o lve_read.o -L./ -llve  -L../mpeg2dec/libmpeg2/.libs/ -lmpeg2  -lavcodec

%install
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}
%{__rm} -rf %{buildroot}
%{__install} -d -m755 %{buildroot}%{_datadir}/lve/lib
%{__install} -d -m755 %{buildroot}%{_libdir}
%{__install} -d -m755 %{buildroot}%{_includedir}
%{__install} -d -m755 %{buildroot}%{_includedir}/lve
%{__install} -m755 lib/* %{buildroot}%{_datadir}/lve/lib/
%{__install} -m755 -D src/lve %{buildroot}%{_bindir}/lve
%{__install} -m755 -D src/lvedemux %{buildroot}%{_bindir}/lvedemux
%{__install} -m755 -D src/lvedump %{buildroot}%{_bindir}/lvedump
%{__install} -m755 -D src/lvemkdvd %{buildroot}%{_bindir}/lvemkdvd
%{__install} -m755 -D src/lvemkidx %{buildroot}%{_bindir}/lvemkidx
%{__install} -m755 -D src/lvemux %{buildroot}%{_bindir}/lvemux
%{__install} -m755 -D src/lverequant %{buildroot}%{_bindir}/lverequant
%{__install} -m755 -D qdir/qdir %{buildroot}%{_bindir}/qdir
%{__install} -m755 -D bin/lvefilter %{buildroot}%{_bindir}/lvefilter
%{__install} -m755 -D src/liblve.* %{buildroot}%{_libdir}/
%__install -m 644 src/lve_read.h %{buildroot}%{_includedir}/lve/
%__install -m 644 src/media_buf.h %{buildroot}%{_includedir}/lve/

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING DVD-Authoring.txt Readme.avsync Readme.lvemux
%{_bindir}/*
%{_datadir}/lve
%_libdir/*
%_includedir/lve

%changelog
* Sun Oct 31 2004  <rainer@links2linux.de> - <0.040322>-<0.pm.1>
- added dev stuff

* Tue Jun 1 2004 Dries Verachtert <dries@ulyssis.org> - 0.040322-1
- Initial package.
